#!/bin/sh

DATED=`date +%Y%m%d_%H%M%S`
EXCLUDE="--exclude .cvsignore --exclude CVS --exclude mkinstalldirs"

NEWLIB=newlib-1.14.0

mkdir -p dist

diff -Nur -x aclocal.m4 -x hp74x -x *~ --exclude autom4te.cache $NEWLIB $NEWLIB-nios2 > $NEWLIB-nios2.patch

# -x *.in

diff -Nur $EXCLUDE -X rtems-nios2/.cvsignore \
  -x COPYING -x INSTALL -x *~ -x .in \
  -x nios2 -x nios2*.cfg \
  -x bspopts.h.in -x config.h.in \
  -x output.0 -x output.1 -x traces.0 -x traces.1 -x requests \
  rtems rtems-nios2 > rtems-nios2.patch

tar czvf dist/rtems-nios2-$DATED.tar.gz $EXCLUDE -X rtems/.cvsignore \
  readme.txt \
  make_dist.sh \
  build.sh \
  $NEWLIB-nios2.patch \
  rtems-nios2.patch \
  rtems-nios2/make/custom/nios2*.cfg \
  rtems-nios2/cpukit/score/cpu/nios2 \
  rtems-nios2/c/src/lib/libcpu/nios2 \
  rtems-nios2/c/src/lib/libbsp/nios2 \
  rtems-nios2/tools/cpu/nios2

rm -f  $NEWLIB-nios2.patch rtems-nios2.patch

